@keyframes pulse{
  0%{
    opacity: 0.25;
  }
  50%{
    opacity: 0.5;
  }
  100%{
    opacity: 0.25;
  }
}
.productSelector{
  background: #F4F6F680;
  border-radius:10px;
  padding-bottom: 5em;
}
.productSelector .page-header{
  background: center url('../img/bg-header-product-selector.png');
  background-size: cover;
}
.productSelectorHeader{
  padding-top: 4em;
  padding-bottom: 0;
  text-align: center;
}
.productSelectorSection{
  text-align: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 600ms ease;
  height: 0;
  overflow-y: hidden;
}
.productSelectorQuestion--helpText{
  font-size: 15px;
  font-weight: 700;
  margin-top: 60px;
  display: block;
  opacity: 0.25;
  text-align: center;
  position: relative;
  animation: pulse 2s ease infinite;
}
.productSelectorQuestion--helpText:before{
  content: '';
  position: absolute;
  top: -25px;
  left: 50%;
  background: center no-repeat url('../img/icon-productSelectorInput--choice.svg');
  height: 20px;
  width: 20px;
  transform: translateX(-50%) scaleY(-1);
}
.productSelectorSection--visible{
  padding: 2em 0;
  opacity: 1;
  visibility: visible;
  height: auto;
  overflow-y: visible;
}
.productSelectorQuestion--products{
  display: flex;
  flex-wrap: wrap;
  margin-top: 1em;;
}
.productSelectorQuestion--products .productSelectorQuestion--item{
  margin: 10px;
  padding: 1em;
  background: white;
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
  border-radius: 10px;
  position: relative;
  overflow: hidden;
  font-weight: 600;
  width: calc(100% - 20px);
  transition: opacity 300ms ease;
}
.productSelectorQuestion--products .productSelectorQuestion--item img{
  max-width: 100%;
  max-height: 150px;
  height: auto;
}
.productSelectorQuestion--item a{
  font-weight: 600;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 5;
  background: black;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 300ms ease;
}
.productSelectorQuestion--item a:before{
  content: '';
  display: inline-block;
  height: 18px;
  width: 18px;
  border: 2px solid white;
  border-radius: 50%;
  background: center no-repeat url('../img/icon-productSelectorQuestion--itemLink.svg') ;
  background-size: contain;
  margin-right: 10px;
}
.productSelectorQuestion--item a:hover{
  opacity: 1;
}
.productSelectorQuestion--item.disabled{
  opacity: 0.25;
}
.productSelectorQuestion--item.disabled .productSelectorInput--choice .productSelectorInput--choice--items div,
.productSelectorQuestion--inputs .productSelectorQuestion--item.disabled label{
  cursor: not-allowed;
}
.productSelectorQuestion--choices{
  display: flex;
  flex-wrap: wrap;
}
.productSelectorInput--choice{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  text-align: left;
}
.productSelectorInput--choice.open{
  z-index: 22;
}
.productSelectorInput--choice.open:before{
  content: '';
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 50%;
  height: calc(100% + 20px);
  width: calc(100% + 30px);
  background: white;
  transform: translate(-50%,-50%);
  border-radius: 15px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.10);
}
.productSelectorInput--choice.open .productSelectorInput--choice--items div{
  display: block;
}
.productSelectorInput--choice.open label:before{
  background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 80%, rgba(255,255,255,1) 100%);
}
.productSelectorInput--choice .productSelectorInput--choice--items div{
  font-size: 0.8em;
  position: relative;
  z-index: 12;
  padding: 10px 0;
  opacity: 1;
  display: none;
  cursor: pointer;
}
.productSelectorInput--choice .productSelectorInput--choice--items div.on{
  opacity: 1;
  font-weight: 600;
}
.productSelectorInput--choice .productSelectorInput--choice--items div.on:after{
  content: '';
  position: absolute;
  top: 50%;
  right: 0;
  background: #549CF1 center no-repeat url('../img/icon-progressStep--checked.svg');
  background-size: 10px auto;
  border-radius: 50%;
  height: 20px;
  width: 20px;
  transform: translateY(-50%);
}
.productSelectorQuestion--inputs .productSelectorQuestion--item .productSelectorInput--choice span{
  display: none;
}
.productSelectorQuestion--inputs .productSelectorQuestion--item .productSelectorInput--choice.selected span{
  position: absolute;
  bottom: 0;
  left: 0;
  color: #215AA8;
  font-weight: 600;
  font-size: 0.7em;
  height: auto;
  padding: 0;
  height: auto;
  top: auto;
  transform: none;
  display: block;
}

.productSelectorInput--choice label{
  display: flex;
  line-height: 20px;
  align-items: center;
  height: 60px;
  position: relative;
  z-index: 2;
  white-space: nowrap;
  width: 100%;
  overflow-x: hidden;
}
.productSelectorInput--choice label:before{
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  height: calc(100% - 10px);
  width: 80px;
  background: linear-gradient(90deg, rgba(245,248,250,0) 0%, rgba(245,248,250,1) 80%, rgba(245,248,250,1) 100%);
}
.productSelectorInput--choice label:after{
  content: '';
  background: center no-repeat url('../img/icon-productSelectorInput--choice.svg');
  height: 7px;
  width: 12px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}
.productSelectorQuestion--choices .productSelectorQuestion--item{
  background: white;
  box-shadow: 0 5px 20px rgba(0,0,0,0.10);
  width: calc(50% - 20px);
  margin: 10px;
  padding: 1em;
  min-height: 120px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1em;
  font-weight: 600;
  cursor: pointer;
  border: 2px solid transparent;
  color: #6A738B;
  border-radius: 10px;
  transition: all 300ms ease;
}
.productSelectorQuestion--choices .productSelectorQuestion--item:hover{
  transform: scale(1.05);
  color: #143665;
}
.productSelectorQuestion--choices .productSelectorQuestion--item.active{
  color: #215AA8;
  border-color: #549CF1;
  background-color: white;
  transform: none;
}
.productSelectorQuestion--inputs{
  display: flex;
  flex-wrap: wrap;
}
.productSelectorQuestion--inputs .productSelectorQuestion--item{
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - 30px);
  height: 70px;
  margin: 10px 15px;
  margin-bottom: 1em;
  position: relative;
  border-bottom: 2px solid rgba(0,0,0,0.5);
}
.productSelectorQuestion--inputs input{
  border: 0;
  text-align: right;
  width: 50%;
  padding-right: 35px;
  background: none;
}
.productSelectorQuestion--inputs input::-ms-clear{
  display: none;
}
.productSelectorQuestion--inputs label{
  margin: 0;
  font-weight: 600;
  cursor: pointer;
  text-align: left;
  line-height: 1.2em;
}
.productSelectorQuestion--inputs span,
.productSelectorQuestion--inputs input{
  font-size: 1.8em;
}
.productSelectorQuestion--inputs span{
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}
.progressSteps{
  display: inline-flex;
  justify-content: center;
  align-items: flex-start;
  position: relative;
  width: auto;
  font-size: 0.9em;
  margin: 2em 0;
  padding: 0 20px;
}
.progressSteps:before{
  content: '';
  position: absolute;
  z-index: 1;
  top: 25px;
  left: 50%;
  width: 70%;
  height: 3px;
  transform: translateX(-50%);
  background: #D3DFE8;
}
.progressStep{
  position: relative;
  z-index: 2;
  text-align: center;
  margin: 0 10px;
  width: 25%;
}
.progressStep--active .progessStep--icon{
  background: #215AA8;
}
.progressStep--active .progessStep--icon path{
  fill: white;
}
.progressStep--active .progessStep--label{
  color: #215AA8;
}
.progressStep--checked .progessStep--icon{
  background: #549CF1 center no-repeat url('../img/icon-progressStep--checked.svg');
}
.progressStep--checked svg{
  visibility: hidden;
}
.progessStep--icon{
  background: #D3DFE8;
  height: 50px;
  width: 50px;
  border-radius: 50%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 25px;
}
.progessStep--label{
  font-weight: 500;
}
.progressButtons{
  position: relative;
  height: 70px;
  max-width: 1110px;
  margin: auto;
}
.progressButtons--directional{
  position: relative;
  margin-top: 20px;
}
.progressButtons--complete{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  opacity: 0;
  visibility: hidden;
  overflow: hidden;
  height: 0;
}
.progressButtons--complete span{
  text-transform: uppercase;
  font-size: 0.7em;
}
.progressButtons--complete .progressButton{
  position: relative;
  display: inline-flex;
  margin: 0 20px;
}
.progressButton{
  border: 0;
  border-radius: 30px;
  position: absolute;
  z-index: 3;
  top: 0;
  padding: 11px 30px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 300ms ease, background-color 300ms ease, color 300ms ease;
  font-size: 0.8em;
  font-weight: 600;
  border: 2px solid transparent;
}
.progressButton--visible{
  opacity: 1;
  visibility: visible;
  height: auto;
}
.progressButton--back{
  background: none;
  color: black;
  left: 20px;
  padding-left: 50px;
}
.progressButton--next{
  background: #549CF1;
  color: white;
  right: 20px;
  padding-right: 50px;
}
.progressButton--quote{
  background-color: #f7e40f;
}
.progressButton--esc{
  padding-right: 50px;
  background-color: #43b62a;
  color: white;
}
/*.progressButton--esc:after{
  content: '';
  background: center no-repeat url('../img/icon-progressButton.svg');
  background-size: contain;
  height: 20px;
  width: 12px;
  margin-left: 10px;
  position: absolute;
  top: 50%;
  right: 25px;
  filter: invert(100%);
  transform: translateY(-50%) rotate(-45deg);
  transition: filter 300ms ease;
}
.progressButton--esc:hover:after{
  filter: invert(59%) sepia(12%) saturate(2715%) hue-rotate(64deg) brightness(98%) contrast(86%);
}*/
.progressButton--next:hover,
.progressButton--finish{
  background: #215AA8;
}
.progressButton--back:hover{
  background: #D3DFE8;
}
.progressButton--quote:hover{
  background-color: #E0CF10;
}
/*.progressButton--esc:hover{
  border-color: #43b62a;
  background: none;
  color: #43b62a;
}*/
/*.progressButton--back:before{
  content: '';
  background: center no-repeat url('../img/icon-progressButton.svg');
  background-size: contain;
  position: absolute;
  top: 50%;
  left: 15px;
  height: 20px;
  width: 12px;
  margin-right: 20px;
  transform: translateY(-50%) scaleX(-1);
}
.progressButton--next:after{
  content: '';
  background: center no-repeat url('../img/icon-progressButton.svg');
  background-size: contain;
  height: 20px;
  width: 12px;
  margin-left: 10px;
  position: absolute;
  top: 50%;
  right: 25px;
  filter: invert(100%);
  transform: translateY(-50%);
}*/
.messageContainer-description{
  background: rgba(0,0,0,0.05);
  border-radius: 10px;
  border: 2px solid transparent;
  padding: 1em 2em;
  text-align: center;
  transition: all 300ms ease;
  font-size: 0.9em;
  border: 2px solid transparent;
}
.messageContainer-description--ready{
  background: #D3DFE8;
  font-weight: 600;
}
.messageContainer-description--unique{
  background: #f7e40f;
  border-color: black;
  font-weight: 500;
  color: inherit;
}
.messageContainer-description--unique a{
  text-decoration: underline;
}
@media screen and (min-width: 40em){
  .productSelectorQuestion--inputs .productSelectorQuestion--item{
    width: calc(50% - 30px);
  }
  .productSelectorInput--choice label{
    height: 70px;
  }
  .productSelectorQuestion--inputs .productSelectorQuestion--item .productSelectorInput--choice.selected span{
    font-size: 0.7em;
    bottom: 5px;
  }
  .productSelectorInput--choice div{
    font-size: 0.75em;
  }
  .productSelectorInput--choice .productSelectorInput--choice--items div{
    font-size: 1em;
  }
  .productSelectorQuestion--inputs .productSelectorQuestion--item{
    margin-bottom: 2em
  }
  .productSelectorQuestion--products .productSelectorQuestion--item{
    width: calc(100% / 3 - 20px);
  }
}
@media screen and (min-width: 50em){
  .progressButtons--complete{
    position: absolute;
  }
  .progressStep{
    width: auto;
  }
}
@media screen and (min-width: 70em){
  .productSelectorQuestion--inputs label{
    width: inherit;
    flex-grow: 1;
  }
  .productSelectorQuestion--inputs .productSelectorInput--choice label{
    width: 100%;
  }
  .productSelectorQuestion--inputs input{
    width: inherit;
    flex-grow: 2.5;
  }
  .productSelectorQuestion--choices{
    margin-top: 4em;
    margin-top: 0;
  }
  .productSelectorQuestion--choices .productSelectorQuestion--item{
    width: calc(25% - 20px);
    font-size: 1em;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
  }
  .progressSteps{
    padding: 0 10em;
  }
  .progressSteps:before{
    top: 25px;
  }
  .progressStep{
    margin: 0 25px;
  }
}
@media screen and (min-width: 80em){
  .productSelectorQuestion--inputs .productSelectorQuestion--item.span-3{
    width: calc(100% / 3 - 30px);
  }
  .productSelectorQuestion--inputs .productSelectorQuestion--item.span-4{
    width: calc(25% - 30px);
  }
}
